<?php

/**
 * DocumentOnToHtml
 *
 * @author Tomasz Świenty
 * @version 0.1
 * @copyright Copyright (c) eDokumenty
 */
final class DocumentOnToHtml {



    public static function init($args) {

        if (!isset($args['container'])) {
            return FALSE;
        }

        // obiekt całego formularza dokumentu
        if (!is_object($args['container']) OR !is_a($args['container'], 'DocumentForm')) {
            return FALSE;
        }

        // bean dokumentu
        if (!is_object($args['document']) OR !is_a($args['document'], 'Bean')) {
            return FALSE;
        }

        // warunek dla jakiego ma pojawić się dodatkowa szarfa
        if ($args['document']->get('dctpid') == 2) {
            require_once(LIB_PATH.'widgets/Ribbon.inc');

            $ribbon = new Ribbon($args['container']->name.'asdd', Ribbon::LB);
            $ribbon->height = '300px';
            $ribbon->width = '300px';
            $ribbon->bottom = '0px';
            $ribbon->left = '0px';
            $ribbon->style = 'background-color: red;';
            $ribbon->title = 'Dodatkowy opis';
            $ribbon->text = 'Tajny dokumentu';
            $args['container']->add($ribbon);
        }

    }

}

if (isset($args)) {
    DocumentOnToHtml::init($args);
}